## ros-lunar-mbf-costmap-nav 0.2.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mbf_costmap_nav)

find_package(catkin REQUIRED
  COMPONENTS
  base_local_planner
  dynamic_reconfigure
  geometry_msgs
  mbf_abstract_nav
  mbf_costmap_core
  mbf_msgs
  mbf_utility
  nav_core
  nav_msgs
  roscpp
  std_msgs
  std_srvs
  tf
)

find_package(Boost COMPONENTS thread chrono REQUIRED)

# dynamic reconfigure
generate_dynamic_reconfigure_options(
  cfg/MoveBaseFlex.cfg
)

set(MBF_NAV_CORE_WRAPPER_LIB mbf_nav_core_wrapper)
set(MBF_COSTMAP_2D_SERVER_LIB mbf_costmap_server)
set(MBF_COSTMAP_2D_SERVER_NODE mbf_costmap_nav)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${MBF_COSTMAP_2D_SERVER_LIB}
  CATKIN_DEPENDS
  actionlib
  actionlib_msgs
  base_local_planner
  dynamic_reconfigure
  geometry_msgs
  mbf_abstract_nav
  mbf_costmap_core
  mbf_msgs
  mbf_utility
  nav_core
  nav_msgs
  pluginlib
  roscpp
  std_msgs
  std_srvs
  tf
  DEPENDS Boost
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

add_library(${MBF_NAV_CORE_WRAPPER_LIB}
  src/nav_core_wrapper/wrapper_global_planner.cpp
  src/nav_core_wrapper/wrapper_local_planner.cpp
  src/nav_core_wrapper/wrapper_recovery_behavior.cpp
)
add_dependencies(${MBF_NAV_CORE_WRAPPER_LIB} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${MBF_NAV_CORE_WRAPPER_LIB}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

add_library(${MBF_COSTMAP_2D_SERVER_LIB}
  src/mbf_costmap_nav/costmap_navigation_server.cpp
  src/mbf_costmap_nav/costmap_planner_execution.cpp
  src/mbf_costmap_nav/costmap_controller_execution.cpp
  src/mbf_costmap_nav/costmap_recovery_execution.cpp
)
add_dependencies(${MBF_COSTMAP_2D_SERVER_LIB} ${catkin_EXPORTED_TARGETS})
add_dependencies(${MBF_COSTMAP_2D_SERVER_LIB} ${MBF_NAV_CORE_WRAPPER_LIB})
add_dependencies(${MBF_COSTMAP_2D_SERVER_LIB} ${PROJECT_NAME}_gencfg)

target_link_libraries(${MBF_COSTMAP_2D_SERVER_LIB}
  ${MBF_NAV_CORE_WRAPPER_LIB}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

add_executable(${MBF_COSTMAP_2D_SERVER_NODE} src/move_base_server_node.cpp)
add_dependencies(${MBF_COSTMAP_2D_SERVER_NODE} ${MBF_COSTMAP_2D_SERVER_LIB})
target_link_libraries(${MBF_COSTMAP_2D_SERVER_NODE}
  ${MBF_COSTMAP_2D_SERVER_LIB}
  ${catkin_LIBRARIES}
)

install(TARGETS
  ${MBF_NAV_CORE_WRAPPER_LIB} ${MBF_COSTMAP_2D_SERVER_LIB} ${MBF_COSTMAP_2D_SERVER_NODE}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(PROGRAMS scripts/move_base_legacy_relay.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-lunar-mbf-costmap-nav (0.2.4-1xenial) xenial; urgency=high

  * Add check_point_cost service
  * Lock costmaps on clear_costmaps service
  * Replace recursive mutexes with normal ones when not needed

 -- Sebastian Pütz <spuetz@uos.de>  Sat, 15 Jun 2019 22:00:00 -0000

ros-lunar-mbf-costmap-nav (0.2.3-1xenial) xenial; urgency=high

  * single publisher for controller execution objects

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 13 Nov 2018 23:00:00 -0000

ros-lunar-mbf-costmap-nav (0.2.2-1xenial) xenial; urgency=high

  * Do not use MultiThreadedSpinner, as costmap updates can crash when combining laser scans and point clouds
  * Make start/stop costmaps mutexed, since concurrent calls to start can lead to segfaults

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 09 Oct 2018 22:00:00 -0000

ros-lunar-mbf-costmap-nav (0.2.1-1xenial) xenial; urgency=high

  * Make MBF melodic and indigo compatible
  * Fix GoalHandle references bug in callbacks

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 02 Oct 2018 22:00:00 -0000

ros-lunar-mbf-costmap-nav (0.2.0-1xenial) xenial; urgency=high

  * Update copyright and 3-clause-BSD license
  * Concurrency for planners, controllers and recovery behaviors

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 10 Sep 2018 22:00:00 -0000

ros-lunar-mbf-costmap-nav (0.1.0-1xenial) xenial; urgency=high

  * First release of move_base_flex for kinetic and lunar

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 21 Mar 2018 23:00:00 -0000

=== debian/control ===
Source: ros-lunar-mbf-costmap-nav
Section: misc
Priority: extra
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-actionlib, ros-lunar-actionlib-msgs, ros-lunar-base-local-planner, ros-lunar-catkin, ros-lunar-dynamic-reconfigure, ros-lunar-geometry-msgs, ros-lunar-mbf-abstract-nav, ros-lunar-mbf-costmap-core, ros-lunar-mbf-msgs, ros-lunar-mbf-utility, ros-lunar-nav-core, ros-lunar-nav-msgs, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf
Homepage: http://wiki.ros.org/move_base_flex
Standards-Version: 3.9.2

Package: ros-lunar-mbf-costmap-nav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-actionlib, ros-lunar-actionlib-msgs, ros-lunar-base-local-planner, ros-lunar-dynamic-reconfigure, ros-lunar-geometry-msgs, ros-lunar-mbf-abstract-nav, ros-lunar-mbf-costmap-core, ros-lunar-mbf-msgs, ros-lunar-mbf-utility, ros-lunar-move-base, ros-lunar-move-base-msgs, ros-lunar-nav-core, ros-lunar-nav-msgs, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf
Description: The mbf_costmap_nav package contains the costmap navigation server implementation of Move Base Flex (MBF).
 The costmap navigation server is bound to the costmap_2d representation. It provides the Actions for planning, controlling and recovering. At the time of start MBF loads all defined plugins. Therefor, it loads all plugins which are defined in the lists *planners*, *controllers* and *recovery_behaviors*. Each list holds a pair of a *name* and a *type*. The *type* defines which kind of plugin to load. The *name* defines under which name the plugin should be callable by the actions. Additionally the mbf_costmap_nav package comes with a wrapper for the old navigation stack and the plugins which inherits from the nav_core base classes. Preferably it tries to load plugins for the new API. However, plugins could even support both move_base and move_base_flex by inheriting both base class interfaces located in the nav_core package and in the mbf_costmap_core package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-mbf-costmap-nav//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
